PHPExcel_Calculation_TextData

category | PHPExcel
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## ASCIICODE

    ASCIICODE(string $characters) : int

Static

### Parameters

#### $characters

`string`

Value

### Returns

`int`

## CHARACTER

    CHARACTER(string $character) : int

Static

### Parameters

#### $character

`string`

Value

### Returns

`int`

## CONCATENATE

    CONCATENATE() : string

Static

### Returns

`string`

## DOLLAR

    DOLLAR(float $value, int $decimals) : string

Static

This function converts a number to text using currency format, with the decimals rounded to the specified place. The format used is $#,##0.00_);($#,##0.00)..

### Parameters

#### $value

`float`

The value to format

#### $decimals

`int`

The number of digits to display to the right of the decimal point. If decimals is negative, number is rounded to the left of the decimal point. If you omit decimals, it is assumed to be 2

### Returns

`string`

## FIXEDFORMAT

    FIXEDFORMAT(mixed $value, integer $decimals, boolean $no_commas) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

#### $decimals

`integer`

#### $no_commas

`boolean`

### Returns

`boolean`

## LEFT

    LEFT(string $value, int $chars) : string

Static

### Parameters

#### $value

`string`

Value

#### $chars

`int`

Number of characters

### Returns

`string`

## LOWERCASE

    LOWERCASE(string $mixedCaseString) : string

Static

Converts a string value to upper case.

### Parameters

#### $mixedCaseString

`string`

### Returns

`string`

## MID

    MID(string $value, int $start, int $chars) : string

Static

### Parameters

#### $value

`string`

Value

#### $start

`int`

Start character

#### $chars

`int`

Number of characters

### Returns

`string`

## PROPERCASE

    PROPERCASE(string $mixedCaseString) : string

Static

Converts a string value to upper case.

### Parameters

#### $mixedCaseString

`string`

### Returns

`string`

## REPLACE

    REPLACE(string $oldText, int $start, int $chars, string $newText) : string

Static

### Parameters

#### $oldText

`string`

String to modify

#### $start

`int`

Start character

#### $chars

`int`

Number of characters

#### $newText

`string`

String to replace in defined position

### Returns

`string`

## RETURNSTRING

    RETURNSTRING(mixed $testValue) : boolean

Static

### Parameters

#### $testValue

`mixed`

Value to check

### Returns

`boolean`

## RIGHT

    RIGHT(string $value, int $chars) : string

Static

### Parameters

#### $value

`string`

Value

#### $chars

`int`

Number of characters

### Returns

`string`

## SEARCHINSENSITIVE

    SEARCHINSENSITIVE(string $needle, string $haystack, int $offset) : string

Static

### Parameters

#### $needle

`string`

The string to look for

#### $haystack

`string`

The string in which to look

#### $offset

`int`

Offset within $haystack

### Returns

`string`

## SEARCHSENSITIVE

    SEARCHSENSITIVE(string $needle, string $haystack, int $offset) : string

Static

### Parameters

#### $needle

`string`

The string to look for

#### $haystack

`string`

The string in which to look

#### $offset

`int`

Offset within $haystack

### Returns

`string`

## STRINGLENGTH

    STRINGLENGTH(string $value) : string

Static

### Parameters

#### $value

`string`

Value

### Returns

`string`

## SUBSTITUTE

    SUBSTITUTE(string $text, string $fromText, string $toText, integer $instance) : string

Static

### Parameters

#### $text

`string`

Value

#### $fromText

`string`

From Value

#### $toText

`string`

To Value

#### $instance

`integer`

Instance Number

### Returns

`string`

## TEXTFORMAT

    TEXTFORMAT(mixed $value, string $format) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

#### $format

`string`

Format mask to use

### Returns

`boolean`

## TRIMNONPRINTABLE

    TRIMNONPRINTABLE(mixed $stringValue) : string

Static

### Parameters

#### $stringValue

`mixed`

Value to check

### Returns

`string`

## TRIMSPACES

    TRIMSPACES(mixed $stringValue) : string

Static

### Parameters

#### $stringValue

`mixed`

Value to check

### Returns

`string`

## UPPERCASE

    UPPERCASE(string $mixedCaseString) : string

Static

Converts a string value to upper case.

### Parameters

#### $mixedCaseString

`string`

### Returns

`string`

## _uniord()

    _uniord($c)

Static

### Parameters

#### $c

### Properties

##

    $_invalidChars